Bug 491342 - apr-util, as shipped with RHEL5, contains no support for mysql
apr-util, as shipped with RHEL5, contains no support for mysql
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: apr-util (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
Blocks: 557292
  Show dependency treegraph
Reported: 2009-03-20 10:39 EDT by Graham Leggett
Modified: 2010-03-30 05:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 05:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2009-03-20 10:39:03 EDT
The apr_dbd interface, as shipped with apr-util in RHEL5, explicitly excludes the mysql and postgres drivers.

The mysql and pgsql drivers need to be provided in apr-util, or alternative apr-util packages need to be provided with the complete functionality.

(This issue has been fixed in apr-util v1.3 by splitting out all dbd, ldap, and crypto(1.4) code into optional loadable modules in their own RPM packages).
Comment 1 Joe Orton 2009-03-20 11:29:15 EDT
The pgsql driver is included in the RHEL5 package - it is linked into libaprutil rather than built as a DSO, support for which postdates RHEL5 GA.

The mysql driver is proposed to be added in 5.4, via bug 252073, but that's a private bug so I'll leave this one open for tracking purposes.
Comment 3 RHEL Product and Program Management 2009-03-26 13:07:10 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2010-03-30 05:06:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.